#
# spec file for package savannahice
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define pkg_src SavannahIce
Name:           savannahice
Version:        0.1.4
Release:        pm152.1.3
Summary:        RoarAudio-to-HTTP protocol gateway
License:        GPL-3.0+
Group:          Productivity/Networking/Web/Utilities
Url:            http://roaraudio.keep-cool.org/
Source:         http://roaraudio.keep-cool.org/dl/%{pkg_src}-%{version}.tar.gz
BuildRequires:  pkgconfig(libroar)
BuildRequires:  pkgconfig(shout)
Recommends:     roarpld

%description
Is a protocol gateway allowing access to HTTP SOURCE based servers
(icecast2) using any normal RoarAudio client. This is different to any
other RoarAudio server in the way the data is processed: in contrast to
e.g. roard SavannahIce does no audio processing at all. This is useful for
sending the output of such a client (e.g. RoarAudio PlayList Daemon)
directly without transcoding.

%prep
%setup -q -n %{pkg_src}-%{version}

%build
./configure --prefix /usr

make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
%make_install

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING* README
%{_bindir}/%{name}
%{_mandir}/man?/%{name}.1*

%changelog
* Sun May  3 2015 avvissu@yandex.ru
- Initial version
